#ifndef H_COMPLEX
#define H_COMPLEX

#include "useproto.h"
#include <stdio.h>
#include <math.h>

#include <re.h>

#ifndef mplib_ntl
inline void Error (const char * a) { cerr << a; }
#endif

/**** Pari/GP ****/  // GEN complex
#if defined(mplib_pari) && defined(mpopt_complex)
#include <cx-pari.h>
#endif

/**** Minimal ****/  // CX dfini  partir de RE, avec minimum de dclarations
#ifdef mpopt_minimal
#include <cx-minimal.h>
#endif

/**** Defaut  ****/  // CX dfini  partir de RE, avec optimisations
#include <cx-dft.h>

#include <sys/types.h>
#if defined(sun) && !defined(__svr4__) && !defined(ULONG_NOT_DEFINED)
typedef unsigned long ulong;
#endif

#include "cx-proto.h"
// #define MAX 0xffffffffL

#endif
